Bug 27465 - Add column visibility to the admin/cities.pl
Summary: Add column visibility to the admin/cities.pl
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords: Academy
Depends on: 28096 27402
Blocks: 27467
  Show dependency treegraph
 
Reported: 2021-01-18 15:18 UTC by Jonathan Druart
Modified: 2021-04-29 13:11 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 27465: Add column visibility to admin/cities.pl (2.70 KB, patch)
2021-01-18 15:21 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 27465: Add column visibility to admin/cities.pl (2.77 KB, patch)
2021-04-06 15:59 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 27465: Add column visibility to admin/cities.pl (2.84 KB, patch)
2021-04-06 16:24 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 27465: Add column visibility to admin/cities.pl (2.90 KB, patch)
2021-04-17 18:48 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2021-01-18 15:18:00 UTC
We want admin/cities.pl to be using as much DT features as possible to be used as an example.
We must add the column visibility.
Comment 1 Jonathan Druart 2021-01-18 15:21:48 UTC
Created attachment 115250 [details] [review]
Bug 27465: Add column visibility to admin/cities.pl

We want admin/cities.pl to be using as much DT features as possible to be used as an example.

Test plan:
Add some cities, go to admin/cities.pl confirm that you can show/hide
column.

Go to the tables settings admin page and confirm that you can set some
default settings from there.
Comment 2 Pascale Nalon 2021-04-02 09:53:40 UTC
Test on PTFS sandbox :
First step is OK : Columns can be hide or show, by clicking in the popup "columns" in admin/cities.pl page

Second step works partially :
-  some default settings can be set from the admin/columns_settings.pl#cities page.
- Not toggled functionality works on the admin/cities.pl page, the choosen columns doesn't shown anymore in the popup
- BUT hidding columns by default doesn't work in the admin/cities.pl page : the chosen columns are ever shown, even after refreshing or reloading the page, or cleaning cookies and cache of the internet browser.
Comment 3 Lucas Gass 2021-04-02 21:00:43 UTC
I have the same problem as Pascale, the TableSettings do not hide the columns. Also to be consistent the 'Actions' column should include:

cannot_be_toggled: 1
cannot_be_modified: 1
Comment 4 Jonathan Druart 2021-04-06 15:59:43 UTC
Created attachment 119233 [details] [review]
Bug 27465: Add column visibility to admin/cities.pl

We want admin/cities.pl to be using as much DT features as possible to be used as an example.

Test plan:
Add some cities, go to admin/cities.pl confirm that you can show/hide
column.

Go to the tables settings admin page and confirm that you can set some
default settings from there.
Comment 5 Jonathan Druart 2021-04-06 16:00:27 UTC
(In reply to Lucas Gass from comment #3)
> I have the same problem as Pascale, the TableSettings do not hide the
> columns.

Will be fixed by bug 28096.


> Also to be consistent the 'Actions' column should include:
> 
> cannot_be_toggled: 1
> cannot_be_modified: 1

Done.
Comment 6 Lucas Gass 2021-04-06 16:24:14 UTC
Created attachment 119238 [details] [review]
Bug 27465: Add column visibility to admin/cities.pl

We want admin/cities.pl to be using as much DT features as possible to be used as an example.

Test plan:
Add some cities, go to admin/cities.pl confirm that you can show/hide
column.

Go to the tables settings admin page and confirm that you can set some
default settings from there.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 7 Katrin Fischer 2021-04-17 18:48:15 UTC
Created attachment 119799 [details] [review]
Bug 27465: Add column visibility to admin/cities.pl

We want admin/cities.pl to be using as much DT features as possible to be used as an example.

Test plan:
Add some cities, go to admin/cities.pl confirm that you can show/hide
column.

Go to the tables settings admin page and confirm that you can set some
default settings from there.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Jonathan Druart 2021-04-21 13:30:02 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 9 Fridolin Somers 2021-04-29 13:11:07 UTC
Depends on Bug 27402 and Bug 28096 both not in 20.11.x